ServletAttributes (Grails 6.0.0)

Package: grails.web.api

## [Groovy] Trait ServletAttributes

- grails.web.api.ServletAttributes

- All Implemented Interfaces and Traits:
    WebAttributes

      @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait ServletAttributes
      extends java.lang.Object
      implements WebAttributes

  A trait that adds attributes specific to the Servlet API

  Authors:
    Graeme Rocher
    Jeff Brown

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private javax.servlet.ServletContext` | `servletContext` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.context.ApplicationContext` | `getApplicationContext()` Obtains the ApplicationContext instance
    `` | `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `` | `javax.servlet.http.HttpServletResponse` | `getResponse()` Obtains the HttpServletResponse instance
    `` | `javax.servlet.ServletContext` | `getServletContext()` Obtains the ServletContext instance
    `` | `javax.servlet.http.HttpSession` | `getSession()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private javax.servlet.ServletContext servletContext

  - ### Method Detail

    - #### @groovy.transform.Generated org.springframework.context.ApplicationContext getApplicationContext()

      Obtains the ApplicationContext instance

      Returns:
        The ApplicationContext instance

    - #### @groovy.transform.Generated javax.servlet.http.HttpServletRequest getRequest()

    - #### @groovy.transform.Generated javax.servlet.http.HttpServletResponse getResponse()

      Obtains the HttpServletResponse instance

      Returns:
        The HttpServletResponse instance

    - #### @groovy.transform.Generated javax.servlet.ServletContext getServletContext()

      Obtains the ServletContext instance

      Returns:
        The ServletContext instance

    - #### @groovy.transform.Generated javax.servlet.http.HttpSession getSession()